Skip to main content
GET
/
api
/
datasets
/
{dataset_id}
/
shortcut-guidance
/
classes
/
{class_name}
/
samples
Get Shortcut Guidance Class Samples
curl --request GET \
  --url https://api.example.com/api/datasets/{dataset_id}/shortcut-guidance/classes/{class_name}/samples \
  --header 'Authorization: Bearer <token>'
{
  "class_name": "<string>",
  "exemplar": {
    "path": "<string>",
    "name": "<string>",
    "preview_url": "<string>"
  },
  "sample_options": [
    {
      "path": "<string>",
      "name": "<string>",
      "preview_url": "<string>"
    }
  ],
  "annotation": {
    "id": "<string>",
    "class_name": "<string>",
    "exemplar_path": "<string>",
    "mask_url": "<string>",
    "bbox": {},
    "strokes": "<unknown>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "updated_by": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string
required
class_name
string
required

Cookies

antidote_session
string | null

Response

Successful Response

class_name
string
required
exemplar
ShortcutGuidanceSampleOption · object
sample_options
ShortcutGuidanceSampleOption · object[]
annotation
ShortcutGuidanceAnnotationRead · object